<div class="modal fade" tabindex="-1" role="dialog" id="modalNew">
  <div class="modal-lg modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button id="modalClose" class="close" type="button" data-dismiss="modal" aria-label="Close">
          <svg class="icon">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
          </svg>
        </button>
      </div>
      <div class="modal-title mx-4">
        <h5 id="modalNewTitle"></h5>
      </div>
      <div class="modal-body">
        <div id="modalId" class="d-none"></div>
        <div class="d-none" id="modalNewStatus"></div>
        <div class="row">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-user"></use>
            </svg>
          </div>
          <div class="col-11">
            <input id="modalNewName" type="text" placeholder="{{ 'meetings.labels.complete_name' | trans }}">
          </div>
        </div>
        <div class="row mt-3 {% if not calendar.allowOverlaps %} d-none {% endif %}">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-calendar"></use>
            </svg>
          </div>
          <div class="col-11 select-wrapper">
            <label for="modalNewOpeningHour">{{ 'meetings.labels.opening_hour' | trans }}</label>
            <select id="modalNewOpeningHour">
              {% for opening_hour in calendar.openingHours %}
                <option value="{{opening_hour.id}}">{{opening_hour.name}}</option>
              {% endfor %}
              {% if not calendar.allowOverlaps %}
                <option value="" selected>{{ "meetings.modal.all" | trans() }}</option>
              {% endif %}
            </select>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-calendar"></use>
            </svg>
          </div>
          <div class="col-5">
            <input id="modalNewDate" type="date">
          </div>
          <div class="col-1"></div>
          <div class="col-1 text-center">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-clock"></use>
            </svg>
          </div>
          <div class="col-2">
            <input type="time" id="modalNewStart" placeholder="{{ 'meetings.labels.select_slot_start' |  trans}}">
          </div>
          <div class="col-2">
            <input type="time" id="modalNewEnd"  placeholder="{{ 'meetings.labels.select_slot_end' |  trans}}">
          </div>
        </div>
        <div id="no_slots_new_alert" class="row mt-3">
          <div class="col-1"></div>
          <div class="col-11">
            <small class="text-danger">{{ 'meetings.error.no_slots_available' | trans }}</small>
          </div>
        </div>
        <br>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-inbox"></use>
            </svg>
          </div>
          <div class="col-11">
            <textarea style="border: none" id="modalNewReason" placeholder="{{ 'meetings.labels.backoffice_reason' | trans }}"></textarea>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-note"></use>
            </svg>
          </div>
          <div class="col-11">
            <textarea style="border: none" id="modalNewDescription" placeholder="{{ 'meetings.labels.backoffice_user_message' | trans }}"></textarea>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-link"></use>
            </svg>
          </div>
          <div class="col-11">
            <input type="url" id="modalNewVideoconferenceLink" placeholder="{{ 'meetings.labels.videoconference_link' | trans }}">
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
            </svg>
          </div>
          <div class="col-11">
            <input type="text" id="modalNewFiscalCode" placeholder="{{ 'meetings.labels.fiscal_code' | trans }}" maxlength="16">
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-mail"></use>
            </svg>
          </div>
          <div class="col-5">
            <input type="email" id="modalNewEmail" placeholder="{{ 'meetings.labels.email' | trans }}">
        </div>

          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
            </svg>
          </div>
          <div class="col-5">
            <input type="text" id="modalNewPhone" placeholder="{{ 'meetings.labels.phone_number' | trans }}">
          </div>
        </div>

        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-comment"></use>
            </svg>
          </div>
          <div class="col-11">
            <textarea class="border-0" id="modalNewMotivationOutcome" ></textarea>
            <small id="modalNewMotivationOutcome" class="form-text text-muted">{{ 'meetings.modal.motivation_outcome_helper' | trans }}</small>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-flag"></use>
            </svg>
          </div>
        <div class="col-11 select-wrapper">
            <label for="modalNewLocale" class="sr-only">{{ 'meetings.modal.locale_email_helper' | trans }}</label>
            <select id="modalNewLocale" class="bootstrap-select-wrapper" >
              <option value="">{{ 'choose_options' | trans }}</option>
              {% if locales|length > 0 %}
                {% for locale in locales %}
                  <option value="{{ locale }}">{{ locale }}</option>
                {% endfor %}
              {% endif %}
            </select>
          <small id="modalNewLocale" class="form-text text-muted">{{ 'meetings.modal.locale_email_helper' | trans }}</small>
          </div>
        </div>
      </div>
      <div class="modal-footer my-3 d-flex justify-content-between" >
        <p id="modalNewError" class="text-danger"></p>
        <button id="modalCreate" class="btn btn-primary btn-sm modal-create" data-url='{{ path("meetings_api_post") }}' type="button" data-calendar="{{ calendar.id }}">{{ "meetings.modal.create" | trans }}</button>
      </div>
    </div>
  </div>
</div>
